<?xml version="1.0" encoding="iso-8859-1" ?> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">  
<!--http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd-->  
<html xmlns="http://www.w3.org/1999/xhtml"  
> 
<head><title>The User Management View</title> 
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" /> 
<meta name="generator" content="TeX4ht (http://www.cse.ohio-state.edu/~gurari/TeX4ht/)" /> 
<meta name="originator" content="TeX4ht (http://www.cse.ohio-state.edu/~gurari/TeX4ht/)" /> 
<!-- xhtml,4 --> 
<meta name="src" content="textgrid-manual.tex" /> 
<meta name="date" content="2011-07-08 17:44:00" /> 
<link rel="stylesheet" type="text/css" href="textgrid-manual.css" /> 
</head><body 
>
<h3 class="sectionHead"><span class="titlemark">3.4</span>&#x00A0;&#x00A0;<a 
 id="x22-210003.4"></a>The User Management View</h3>
<!--l. 416--><p class="noindent" >When a new project has been created, project users can be added and roles can be assigned to
them. To be selected users must previously have logged into TextGridLab at least once. You
can add new members to your project by searching for them by name, e-mail address or
organization. *&#x00A0;matches any letters. When clicking &#8220;Search Users&#8221; or the enter key, the
checkbox &#8220;Show Search Results&#8221; is automatically activated and the results are shown in the
list of users above with the icon <img 
src="115-Suche-Nutzer.png" alt="PIC" class="graphics" width="20pt" />.
</p><!--l. 418--><p class="noindent" >You can also add new members to your projects by listing users you were working with in
previous projects. Mark &#8220;Show Contacts&#8221; to do this. Your contacts are marked with a special
icon <img 
src="116-Kontakt-Nutzer.png" alt="PIC" class="graphics" width="20pt" />.
</p><!--l. 420--><p class="noindent" >Choose the roles for the new user by marking the boxes and click &#8220;Apply Changes&#8221;. The boxes
become white and the icon in front of names added to the project changes into another symbol
<img 
src="114-Projekt-Nutzer.png" alt="PIC" class="graphics" width="20pt"  />
. Click &#8220;Revert Changes&#8221; to remove changes that are not applied yet. Changes not yet
applied are presented in red boxes. There are four possible roles for users in TextGrid and
every role has specified rights:
</p>
<div class="center" 
>
<!--l. 422--><p class="noindent" >
</p>
                                                                                

                                                                                
<div class="tabular">
 <table id="TBL-4" class="tabular" 
cellspacing="0" cellpadding="0" rules="groups" 
><colgroup id="TBL-4-1g"><col 
id="TBL-4-1" /></colgroup><colgroup id="TBL-4-2g"><col 
id="TBL-4-2" /></colgroup><tr  
 style="vertical-align:baseline;" id="TBL-4-1-"><td  style="white-space:wrap; text-align:left;" id="TBL-4-1-1"  
class="td11"> <!--l. 424--><p class="noindent" >Project Manager           </p></td><td  style="white-space:wrap; text-align:left;" id="TBL-4-1-2"  
class="td11"> <!--l. 424--><p class="noindent" >Delegate,  create  rights  for  projects;  delegate,
  publish rights for resources                             </p></td>
</tr><tr  
 style="vertical-align:baseline;" id="TBL-4-2-"><td  style="white-space:wrap; text-align:left;" id="TBL-4-2-1"  
class="td11"> <!--l. 425--><p class="noindent" >Authority to delete         </p></td><td  style="white-space:wrap; text-align:left;" id="TBL-4-2-2"  
class="td11"> <!--l. 425--><p class="noindent" >Delete rights for resources.                             </p></td>
</tr><tr  
 style="vertical-align:baseline;" id="TBL-4-3-"><td  style="white-space:wrap; text-align:left;" id="TBL-4-3-1"  
class="td11"> <!--l. 426--><p class="noindent" >Editor                         </p></td><td  style="white-space:wrap; text-align:left;" id="TBL-4-3-2"  
class="td11"> <!--l. 426--><p class="noindent" >Read, write rights for resources.                      </p></td>
</tr><tr  
 style="vertical-align:baseline;" id="TBL-4-4-"><td  style="white-space:wrap; text-align:left;" id="TBL-4-4-1"  
class="td11"> <!--l. 427--><p class="noindent" >Observer                      </p></td><td  style="white-space:wrap; text-align:left;" id="TBL-4-4-2"  
class="td11"> <!--l. 427--><p class="noindent" >Read rights for resources.                               </p></td>

</tr><tr  
 style="vertical-align:baseline;" id="TBL-4-5-"><td  style="white-space:wrap; text-align:left;" id="TBL-4-5-1"  
class="td11">                       </td>
</tr></table></div></div>
<div class="center" 
>
<!--l. 431--><p class="noindent" >
</p>
<div class="tabular">
 <table id="TBL-5" class="tabular" 
cellspacing="0" cellpadding="0" rules="groups" 
><colgroup id="TBL-5-1g"><col 
id="TBL-5-1" /></colgroup><colgroup id="TBL-5-2g"><col 
id="TBL-5-2" /></colgroup><colgroup id="TBL-5-3g"><col 
id="TBL-5-3" /></colgroup><tr  
 style="vertical-align:baseline;" id="TBL-5-1-"><td  style="white-space:wrap; text-align:left;" id="TBL-5-1-1"  
class="td11"> <!--l. 433--><p class="noindent" >                </p></td><td  style="white-space:wrap; text-align:left;" id="TBL-5-1-2"  
class="td11"> <!--l. 433--><p class="noindent" >Project Rights              </p></td><td  style="white-space:wrap; text-align:left;" id="TBL-5-1-3"  
class="td11"> <!--l. 433--><p class="noindent" >Resource Rights                   </p></td>
</tr><tr 
class="hline"><td><hr /></td><td><hr /></td><td><hr /></td></tr><tr  
 style="vertical-align:baseline;" id="TBL-5-2-"><td  style="white-space:wrap; text-align:left;" id="TBL-5-2-1"  
class="td11"> <!--l. 434--><p class="noindent" >Delegate               </p></td><td  style="white-space:wrap; text-align:left;" id="TBL-5-2-2"  
class="td11"> <!--l. 434--><p class="noindent" >Edit                     the
  user/role assignment for
  the project                  </p></td><td  style="white-space:wrap; text-align:left;" id="TBL-5-2-3"  
class="td11"> <!--l. 434--><p class="noindent" >Modify rights for the resource.  </p></td>
</tr><tr  
 style="vertical-align:baseline;" id="TBL-5-3-"><td  style="white-space:wrap; text-align:left;" id="TBL-5-3-1"  
class="td11"> <!--l. 435--><p class="noindent" >Publish                </p></td><td  style="white-space:wrap; text-align:left;" id="TBL-5-3-2"  
class="td11"> <!--l. 435--><p class="noindent" >                     </p></td><td  style="white-space:wrap; text-align:left;" id="TBL-5-3-3"  
class="td11"> <!--l. 435--><p class="noindent" >Publish
  a resource. The resource will
  be  then  world-readable  and
  cannot be deleted or updated
  anymore.                             </p></td>
</tr><tr  
 style="vertical-align:baseline;" id="TBL-5-4-"><td  style="white-space:wrap; text-align:left;" id="TBL-5-4-1"  
class="td11"> <!--l. 436--><p class="noindent" >Delete                  </p></td><td  style="white-space:wrap; text-align:left;" id="TBL-5-4-2"  
class="td11"> <!--l. 436--><p class="noindent" >                     </p></td><td  style="white-space:wrap; text-align:left;" id="TBL-5-4-3"  
class="td11"> <!--l. 436--><p class="noindent" >Delete unpublished resources   </p></td>
</tr><tr  
 style="vertical-align:baseline;" id="TBL-5-5-"><td  style="white-space:wrap; text-align:left;" id="TBL-5-5-1"  
class="td11"> <!--l. 437--><p class="noindent" >Create                 </p></td><td  style="white-space:wrap; text-align:left;" id="TBL-5-5-2"  
class="td11"> <!--l. 437--><p class="noindent" >Create new projects       </p></td><td  style="white-space:wrap; text-align:left;" id="TBL-5-5-3"  
class="td11"> <!--l. 437--><p class="noindent" >Create  new  resources  in  the
  project                               </p></td>
</tr><tr  
 style="vertical-align:baseline;" id="TBL-5-6-"><td  style="white-space:wrap; text-align:left;" id="TBL-5-6-1"  
class="td11"> <!--l. 438--><p class="noindent" >Write                   </p></td><td  style="white-space:wrap; text-align:left;" id="TBL-5-6-2"  
class="td11"> <!--l. 438--><p class="noindent" >                     </p></td><td  style="white-space:wrap; text-align:left;" id="TBL-5-6-3"  
class="td11"> <!--l. 438--><p class="noindent" >Write        (i.e.        update)
  unpublished resources.           </p></td>
</tr><tr  
 style="vertical-align:baseline;" id="TBL-5-7-"><td  style="white-space:wrap; text-align:left;" id="TBL-5-7-1"  
class="td11"> <!--l. 439--><p class="noindent" >Read                   </p></td><td  style="white-space:wrap; text-align:left;" id="TBL-5-7-2"  
class="td11"> <!--l. 439--><p class="noindent" >                     </p></td><td  style="white-space:wrap; text-align:left;" id="TBL-5-7-3"  
class="td11"> <!--l. 439--><p class="noindent" >Read resources in the project.  </p></td>

</tr><tr  
 style="vertical-align:baseline;" id="TBL-5-8-"><td  style="white-space:wrap; text-align:left;" id="TBL-5-8-1"  
class="td11">                  </td>
</tr></table></div></div>
<!--l. 443--><p class="noindent" >Rights in TextGrid are non-hierarchical. If users are meant to have full rights, they must be
assigned the roles &#8220;Project Manager&#8221;, &#8220;Authority to delete&#8221; and &#8220;Editor&#8221;.
</p><!--l. 445--><p class="noindent" >Roles with their respective rights can be withdrawn from users by someone having the
authority to delete. Click at least one role of the user in question in the list of existing users
and press &#8220;Apply Changes&#8221;.
                                                                                

                                                                                
</p>
<!--l. 447--><p class="noindent" ><a 
 id="tailtextgrid-manualse12.html"></a> </p> 
</body></html> 
